/* ---------------------------------------------------------- */
/* @(#) KRW.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* Tape Optimizer Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2009 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* ---------------------------------------------------------- */
/* General section.  Applies to all products                  */
/* ---------------------------------------------------------- */

/* Tasks */

/* COPY_VOLUME */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRW_COPY_VOLUME";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRW                000000000000000000", 
  "COPY_VOLUME [&PROFNAME] [&VOLSER1] [&VOLSER2]",
  "Krw:KRW1000",
  " ", 
  "KRW_COPY_VOLUME", 
  "Krw:KRW1001", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Situations */
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_RC_for_Copy_EQ_4"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_RC_for_Copy_EQ_4"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("krw:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRW                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1090821000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRW_TAPE_MIGRATION_DETAIL.COPYRC *EQ 4 ) ",
"E",
"0",
"000100",
"*NONE",
"KRW_RC_for_Copy_EQ_4",
"Krw:KRW1002",
"NNN",
"ATOM=KRWTMIGDET.SRCVOL;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRW" ,
  "KRW_RC_for_Copy_EQ_4" ,
  "Y" ,
  "1090821000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_RC_for_Copy_GT_4"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_RC_for_Copy_GT_4"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("krw:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRW                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1090821000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRW_TAPE_MIGRATION_DETAIL.COPYRC *GT 4 ) ",
"E",
"0",
"000100",
"*NONE",
"KRW_RC_for_Copy_GT_4",
"Krw:KRW1003",
"NNN",
"ATOM=KRWTMIGDET.SRCVOL;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRW" ,
  "KRW_RC_for_Copy_GT_4" ,
  "Y" ,
  "1090821000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_RC_for_Catalog_Op_EQ_4"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_RC_for_Catalog_Op_EQ_4"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("krw:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRW                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1090821000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRW_TAPE_MIGRATION_DETAIL.CATARC *EQ 4 ) ",
"E",
"0",
"000100",
"*NONE",
"KRW_RC_for_Catalog_Op_EQ_4",
"Krw:KRW1004",
"NNN",
"ATOM=KRWTMIGDET.SRCVOL;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRW" ,
  "KRW_RC_for_Catalog_Op_EQ_4" ,
  "Y" ,
  "1090821000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_RC_for_Catalog_Op_GT_4"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_RC_for_Catalog_Op_GT_4"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("krw:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRW                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1090821000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRW_TAPE_MIGRATION_DETAIL.CATARC *GT 4 ) ",
"E",
"0",
"000100",
"*NONE",
"KRW_RC_for_Catalog_Op_GT_4",
"Krw:KRW1005",
"NNN",
"ATOM=KRWTMIGDET.SRCVOL;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRW" ,
  "KRW_RC_for_Catalog_Op_GT_4" ,
  "Y" ,
  "1090821000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_RC_for_RMM_EQ_4"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_RC_for_RMM_EQ_4"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("krw:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRW                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1090821000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRW_TAPE_MIGRATION_DETAIL.RMMRC *EQ 4 ) ",
"E",
"0",
"000100",
"*NONE",
"KRW_RC_for_RMM_EQ_4",
"Krw:KRW1006",
"NNN",
"ATOM=KRWTMIGDET.SRCVOL;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRW" ,
  "KRW_RC_for_RMM_EQ_4" ,
  "Y" ,
  "1090821000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_RC_for_RMM_GT_4"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_RC_for_RMM_GT_4"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("krw:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRW                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1090821000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRW_TAPE_MIGRATION_DETAIL.RMMRC *GT 4 ) ",
"E",
"0",
"000100",
"*NONE",
"KRW_RC_for_RMM_GT_4",
"Krw:KRW1007",
"NNN",
"ATOM=KRWTMIGDET.SRCVOL;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRW" ,
  "KRW_RC_for_RMM_GT_4" ,
  "Y" ,
  "1090821000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_Status_PENDING_RELEASE"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_Status_PENDING_RELEASE"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("krw:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRW                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1090821000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRW_TAPE_MIGRATION_DETAIL.STAT *EQ 'PENDING RELEASE'
 ) ",
"E",
"0",
"000100",
"*NONE",
"KRW_Status_PENDING_RELEASE",
"Krw:KRW1008",
"NNN",
"ATOM=KRWTMIGDET.SRCVOL;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRW" ,
  "KRW_Status_PENDING_RELEASE" ,
  "Y" ,
  "1090821000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_Status_INCOMPLETE"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_Status_INCOMPLETE"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("krw:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRW                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1090821000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRW_TAPE_MIGRATION_DETAIL.STAT *EQ 'INCOMPLETE' ) ",
"E",
"0",
"000100",
"*NONE",
"KRW_Status_INCOMPLETE",
"Krw:KRW1009",
"NNN",
"ATOM=KRWTMIGDET.SRCVOL;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRW" ,
  "KRW_Status_INCOMPLETE" ,
  "Y" ,
  "1090821000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
